MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027145Open CASCADE[OCCT] OCCT:Testspublic2016-02-09 16:542016-04-20 15:50
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027145: Remove redundant usage of GetPercent procedure
DescriptionSome test case declare own procedure GetPercent in test body.
Redundant usage/declare of GetPercent procedure in such cases should be replaced by checkreal procedure.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0050546)
git (administrator)
2016-02-09 16:56

Branch CR27145 has been created by ski.

SHA-1: d15c23c2244fb589d4cb040cdb135afd1f909208


Detailed log of new commits:

Author: ski
Date: Tue Feb 9 16:54:55 2016 +0300

    0027145: Remove redundant usage of GetPercent procedure
    
    Usage og GetPercent procedure was replaced by checkreal procedure.
(0050547)
git (administrator)
2016-02-09 16:57

Branch CR27145 has been updated forcibly by ski.

SHA-1: db460806d43dae33e6bcfc596bcde10cb992ae49
(0050548)
ski (developer)
2016-02-09 16:59

Dear apn,
please review.
(0050568)
apn (administrator)
2016-02-10 13:43

No remarks, please test.
(0050621)
apv (tester)
2016-02-11 11:58

Dear BugMaster,

Branch CR27145 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: db460806d43dae33e6bcfc596bcde10cb992ae49

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 1 (1 on master)
products component:
   Linux: 36 (36 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90026375 / 89968159 [+0.06%]
Total CPU difference: 19037.229999999898 / 19072.669999999925 [-0.19%]

Testing on Windows:
Total MEMORY difference: 57302978 / 57306640 [-0.01%]
Total CPU difference: 18174.147700198944 / 18107.192070998844 [+0.37%]
(0052900)
git (administrator)
2016-04-17 13:40

Branch CR27145 has been deleted by kgv.

SHA-1: db460806d43dae33e6bcfc596bcde10cb992ae49

- Related Changesets
occt: master cd718a73
Timestamp: 2016-02-09 13:57:15
Author: abv
Committer: abv
Details ] Diff ]
0027145: Remove redundant usage of GetPercent procedure

Usage of GetPercent procedure was replaced by checkreal procedure.
mod - tests/bugs/fclasses/bug15489 Diff ] File ]
mod - tests/bugs/modalg_1/bug12661 Diff ] File ]
mod - tests/bugs/modalg_2/bug22804 Diff ] File ]
mod - tests/bugs/modalg_2/bug22967 Diff ] File ]
mod - tests/bugs/modalg_2/bug23218 Diff ] File ]
mod - tests/bugs/moddata_1/bug14782 Diff ] File ]
mod - tests/bugs/moddata_1/bug15570 Diff ] File ]
mod - tests/bugs/moddata_1/bug16119 Diff ] File ]
mod - tests/bugs/moddata_1/bug22241 Diff ] File ]
mod - tests/bugs/moddata_2/bug22809_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug22809_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug22809_3 Diff ] File ]
mod - tests/bugs/moddata_2/bug22809_4 Diff ] File ]
mod - tests/bugs/moddata_2/bug23165 Diff ] File ]
mod - tests/bugs/moddata_2/bug2755 Diff ] File ]
mod - tests/bugs/moddata_2/bug6503 Diff ] File ]
mod - tests/bugs/moddata_2/bug88 Diff ] File ]
mod - tests/bugs/moddata_2/bug9303 Diff ] File ]
mod - tests/bugs/xde/begin Diff ] File ]
mod - tests/bugs/xde/bug6542 Diff ] File ]
mod - tests/bugs/xde/bug9490 Diff ] File ]
mod - tests/bugs/xde/bug9531 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-09 16:54 ski New Issue
2016-02-09 16:54 ski Assigned To => ski
2016-02-09 16:54 ski Status new => assigned
2016-02-09 16:56 git Note Added: 0050546
2016-02-09 16:57 git Note Added: 0050547
2016-02-09 16:59 ski Note Added: 0050548
2016-02-09 16:59 ski Assigned To ski => apn
2016-02-09 16:59 ski Status assigned => resolved
2016-02-10 13:43 apn Note Added: 0050568
2016-02-10 13:43 apn Test case number => Not needed
2016-02-10 13:43 apn Assigned To apn => bugmaster
2016-02-10 13:43 apn Status resolved => reviewed
2016-02-10 14:04 apv Assigned To bugmaster => apv
2016-02-11 11:58 apv Note Added: 0050621
2016-02-11 11:58 apv Assigned To apv => bugmaster
2016-02-11 11:58 apv Status reviewed => tested
2016-02-12 11:37 abv Changeset attached => occt master cd718a73
2016-02-12 11:37 abv Assigned To bugmaster => abv
2016-02-12 11:37 abv Status tested => verified
2016-02-12 11:37 abv Resolution open => fixed
2016-02-12 16:17 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-17 13:40 git Note Added: 0052900
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker